DOMAINALIGN(1e)

NAME
domainalign - Generate alignments (DAF file) for nodes in a DCF file.

SYNOPSIS

domainalign -dcfinfile infile -pdbdir directory -node list -mode list -keepsinglets toggle -dafoutdir outdir -singletsoutdir outdir -superoutdir outdir -logfile outfile

domainalign -help

DESCRIPTION

domainalign is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Protein:3D Structure" command group(s).

OPTIONS

  Input section

-dcfinfile infile
    This option specifies the name of DCF file (domain classification file) (input). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS.

-pdbdir directory
    This option specifies the location of domain PDB files (input). A 'domain PDB file' contains coordinate data for a single domain from SCOP or CATH, in PDB format. The files are generated by using DOMAINER. Default value: ./

  Required section

-node list
    This option specifies the node for redundancy removal. Redundancy can be removed at any specified node in the SCOP or CATH hierarchies. For example by selecting 'Class' entries belonging to the same Class will be non-redundant. Default value: 1

-mode list
    This option specifies the alignment algorithm to use. Default value: 1

-keepsinglets toggle
    This option specifies whether to write sequences of singlet families to file. If you specify this option, the sequence for each singlet family are written to file (output). Default value: Y

  Output section

-dafoutdir outdir
    This option specifies the location of DAF files (domain alignment files) (output). A 'domain alignment file' contains a sequence alignment of domains belonging to the same SCOP or CATH family. The files are in clustal format and are annotated with domain family classification information. The files generated by using SCOPALIGN will contain a structure-based sequence alignment of domains of known structure only. Such alignments can be extended with sequence relatives (of unknown structure) by using SEQALIGN. Default value: ./

-singletsoutdir outdir
    This option specifies the location of DHF files (domain hits files) for singlet sequences (output). The singlets are written out as a 'domain hits file' - which contains database hits (sequences) with domain classification information, in FASTA format. Default value: ./

-superoutdir outdir
    This option specifies the location of structural superimposition files (output). A file in PDB format of the structural superimposition is generated for each family if the STAMP algorithm is used. Default value: ./

-logfile outfile
    This option specifies the name of log file (output). The log file contains messages about any errors arising while domainalign ran. Default value: domainalign.log

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

domainalign is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.